@media (max-width: 1400px){
  .content-crossword{
    flex-direction: column;
    row-gap: 28px;
  }

  #questions{
    width: 100%;
  }
}

@media (max-width: 1024px){
  #crossword{
    grid-template-columns: repeat(14, auto) !important;
  }

  .column-with-cross{
    width: 100%;
  }
}

@media (max-width: 768px) {
  .mobile{
    display: block;
  }

  .breadcrumbs a{
    align-items: center;
    column-gap: 6px;
  }

  .breadcrumbs a svg{
    width: 4px;
  }

  .breadcrumbs a:hover svg path{
    stroke: #0B56C6;
  }

  .subscribe-author.mobile{
    display: flex;
    width: 100%;
    flex-wrap: nowrap;
    margin-top: 0;
  }

  .nocontent-text{
    padding: 20px 0;
  }

  .nocontent-text p{
    font-size: 14px;
  }

  .nocontent-text .title{
    font-weight: 500;
    font-size: 18px;
    line-height: normal;
  }

  .awards-author{
    padding: 16px 16px 24px;
  }

  .block-awards .heading.materials{
    padding: 16px 16px 0 16px;
  }

  .heading.materials{
    padding: 16px;
  }

  .awards-author{
    padding: 16px 16px 24px;
  }

  .tab.tab-author .tab-nav .tab-btn{
    padding: 8px 12px 16px;
  }

  .awards-author .nocontent p{
    font-size: 14px;
    line-height: normal;
  }

  .awards-author .nocontent .border-btn{
    font-size: 14px;
    line-height: normal;
  }

  .tab-author .nocontent-text{
    padding: 20px 0;
  }

  .tab-author .add-material, .tab-author .search-author, .tab-author .search-articles{
    font-size: 14px;
    margin-top: 20px;
    padding: 10px 30px;
  }

  .heading-author .btn-share-modal{
    margin-top: 0;
    width: max-content;
    font-size: 14px;
    justify-content: center;

  }

  .heading-author .btn-share-modal-text{
    display: flex;
    width: 100%;
    align-items: center;
    column-gap: 16px;
  }

  .heading-author .btn-share-modal-text img{
    width: 20px;
  }

  .edit-mobile{
    font-size: 14px;
    line-height: normal;
    padding: 20px 0;
  }

  .header .wrapper > .d-flex{
    position: static;
  }

  .modal-messages{
    top: -10px;
    bottom: 0;
    width: 100vw;
    left: 0;
    right: 0;
    height: 100vh;
    border-radius: 0;
    padding-left: 0;
    padding-right: 0;
    max-height: 100vh;
    padding-top: 0;
  }

  .content-messages{
    padding: 0 16px;
  }

  .content-messages .list-messages .message{
    align-items: flex-start;
    flex-wrap: wrap;
    row-gap: 16px;
  }

  .content-messages .list-messages .message .text{
    width: calc(100% - 16px - 40px);
  }

  .content-messages .list-messages .message .image-post-message{
    padding-left: 56px;
    width: 222px;
    height: 94px;
  }

  .content-messages .list-messages .message .image-message{
    width: 40px;
    height: 40px;
  }

  .btn-close-arrow{
    position: absolute;
    left: 16px;
    transform: rotate(180deg);
    top: 20px;
  }

  .content-article .heading-calculator p {
    text-align: left;
  }

  .content-article p.h1{
    font-size: 22px;
    line-height: 30px;
    margin-bottom: 16px;
  }

  .form-calculator .wrapper-form .col label{
    font-weight: 400;
    font-size: 16px;
    line-height: normal;
  }

  .form-calculator .wrapper-form .col{
    width: 100%;
  }

  .btn-calc.blue-btn{
    width: 100%;
    font-size: 16px;
    line-height: normal;
    padding: 18px;
  }

  .heading-calculator {
    margin-bottom: 20px;
  }

  .form-calculator .wrapper-form .col input,
  .form-calculator .jq-selectbox__select{
    font-size: 16px;
    line-height: normal;
    padding: 18px 12px;
  }

  .result-calculator .heading-result{
    padding-bottom: 10px;
    margin-bottom: 20px;
  }

  .result-calculator .heading-result p{
    font-size: 22px;
    line-height: 30px;
  }

  .content-article .result-calculator .content p{
    font-size: 16px;
    line-height: normal;
    margin-bottom: 16px;
  }

  .result-calculator{
    padding: 24px 12px;
  }

  .additional-content table td{
    font-size: 10px;
    line-height: normal;
  }

  .additional-content {
    margin-top: 30px;
  }

  .additional-content table td.heading{
    padding: 8px;
  }

  .additional-content table{
    border-spacing: 8px 4px;
  }

  .statistics.desktop-mobile{
    display: none;
  }

  .statistics.mobile{
    display: flex;
  }

  .crossword-section, .calculator{
    margin: 0 -16px 28px;
  }

  .block-crossword, .block-calculator{
    padding: 16px;
  }

  .modal-messages .heading-messages{
    position: sticky;
    top: 0;
    background: #fff;
    padding-top: 16px;
  }

  .content-crossword .buttons{
    flex-wrap: wrap;
    gap: 12px;
  }

  .content-crossword .buttons button{
    font-size: 14px;
    width: 146px;
  }

  .number {
    right: 2px;
    font-size: 10px;
  }
}

@media (max-width: 545px){
  .feed-blog.awards{
    background: #fff;
  }

  .award{
    flex-direction: column;
    row-gap: 16px;
    padding: 24px 12px;
  }

  .award .content{
    width: 100%;
    text-align: center;
  }

  .award .content .text{
    font-size: 16px;
    line-height: normal;
  }

  .subscribe-author .subscribe-btn{
    width: calc(100% - 16px - 40px);
    font-size: 14px;
    text-align: center;
    line-height: 16px;
    padding: 10px;
  }

  .subscribe-author .btn-share-modal{
    width: 40px;
    height: 40px;
    padding: 10px;
  }

  .awards-author .award-author{
    width: 63px;
    height: 63px;
  }

  .feed-blog.author-feed .container-feed .post{
    margin-bottom: 0;
    padding: 16px 12px;
  }

  .feed-blog.author-feed.no-controls .container-feed .post{
    flex-direction: row;
    column-gap: 0;
    align-items: center;
  }

  .feed-blog.author-feed .container-feed .post .image-post,
  .feed-blog.author-feed .container-feed .post:nth-child(3n) .image-post{
    display: block;
  }

  .feed-blog.author-feed.no-controls .container-feed .post .image-post,
  .feed-blog.author-feed.no-controls .container-feed .post:nth-child(3n) .image-post{
    width: 122px;
    height: 122px;
    min-height: auto;
  }

  .feed-blog.author-feed .container-feed .post:nth-child(3n) {
    padding: 32px 12px;
    aspect-ratio: auto;
  }

  .feed-blog.author-feed.no-controls .container-feed .post:nth-child(3n),
  .feed-blog.author-feed.no-controls .container-feed .post{
    padding: 8px 12px;
  }

  .feed-blog.author-feed .container-feed .post:nth-child(3n) .image-post{
    position: relative;
  }

  .feed-blog.author-feed .container-feed .post:nth-child(3n) .image-post:after{
    display: none;
  }

  .feed-blog.author-feed .container-feed .post .content{
    padding: 0 12px;
  }

  .feed-blog.author-feed.no-controls .container-feed .post .content{
    width: calc(100% - 122px);
  }

  .tab.tab-author .subscriptions .title p{
    font-size: 20px;
    margin-bottom: 6px;
  }

  .feed-blog.author-feed.no-controls .container-feed .post .h4{
    font-size: 14px;
    margin-bottom: 8px;
  }

  .tab-author .subscriptions .btn-block{
    margin-top: 0;
  }

  .feed-blog.author-feed .container-feed .post:nth-child(3n) .h4{
    color: #000022;
  }

  .feed-blog.author-feed .container-feed .post:nth-child(3n) .author .tag{
    color: #9999A7;
  }

  .award-author .description-award{
    display: none;
  }

  .feed-blog.author-feed .container-feed{
    justify-content: center;
  }

  .tab-author .no-controls .post .btn-block{
    display: none;
  }

  .block-awards, .feed-blog.author-feed{
    margin-left: -16px;
    margin-right: -16px;
  }

  #questions{
    flex-direction: column;
    row-gap: 28px;
  }

  .column-questions{
    width: 100%;
  }
}
